{{> shared/header }}
{{> shared/_navbar new_build="active" }}

<div class="ui grid" style="position: relative;">
    <div id="all-spells-column" class="transition hidden">
        {{> wow/_spells class="warrior_spells" color="brown" spells=all_warrior_spells}}
        {{> wow/_spells class="hunter_spells" color="green" spells=all_hunter_spells }}
        {{> wow/_spells class="mage_spells" color="teal" spells=all_mage_spells }}
        {{> wow/_spells class="paladin_spells" color="pink" spells=all_paladin_spells }}
        {{> wow/_spells class="priest_spells" color="white" spells=all_priest_spells }}
        {{> wow/_spells class="rogue_spells" color="yellow" spells=all_rogue_spells }}
        {{> wow/_spells class="shaman_spells" color="blue" spells=all_shaman_spells }}
        {{> wow/_spells class="warlock_spells" color="purple" spells=all_warlock_spells }}
        {{> wow/_spells class="druid_spells" color="orange" spells=all_druid_spells }}
        {{> wow/_spells class="other_spells" color="grey text--gray" spells=all_other_spells }}
    </div>
    <div id="spells-column" class="eight wide column">
        <h3 style="display: inline-block; margin-right: 10px;">Spells</h3>
        <div id="spells-change-button" class="ui inverted blue animated button mini" style="margin-bottom: 6px;" tabindex="0">
            <div class="visible content">Add/Remove</div>
            <div class="hidden content">
                <i class="right arrow icon"></i>
            </div>
        </div>
        <br />
        {{#each spells}}
            {{> wow/new_ability_tooltip ability=this icon="minus" }}
        {{/each}}
    </div>

    <div id="talents-column" class="eight wide column" style="position: absolute; right: 0;">
        <h3 style="display: inline-block; margin-right: 10px;">Talents</h3>
        <div id="talents-change-button" class="ui inverted blue animated button mini" style="margin-bottom: 6px;" tabindex="0">
            <div class="visible content">Add/Remove</div>
            <div class="hidden content">
                <i class="left arrow icon"></i>
            </div>
        </div>
        <br />
        {{#each talents}}
            {{> wow/new_ability_tooltip icon="minus" }}
        {{/each}}
    </div>

    <div id="all-talents-column" class="transition hidden">
        {{> wow/_spells class="warrior_talents" color="brown" spells=all_warrior_talents}}
        {{> wow/_spells class="hunter_talents" color="green" spells=all_hunter_talents }}
        {{> wow/_spells class="mage_talents" color="teal" spells=all_mage_talents}}
        {{> wow/_spells class="paladin_talents" color="pink" spells=all_paladin_talents }}
        {{> wow/_spells class="priest_talents" color="white" spells=all_priest_talents }}
        {{> wow/_spells class="rogue_talents" color="yellow" spells=all_rogue_talents }}
        {{> wow/_spells class="shaman_talents" color="blue" spells=all_shaman_talents }}
        {{> wow/_spells class="warlock_talents" color="purple" spells=all_warlock_talents }}
        {{> wow/_spells class="druid_talents" color="orange" spells=all_druid_talents }}
        {{> wow/_spells class="other_talents" color="grey text--gray" spells=all_other_talents }}
    </div>


</div>
<div style="position: fixed; bottom: 40px; left: 40px;" class="ui grid">
    <button id="options-btn" class="ui button inverted white" style="font-size: calc(1em + .25vw); width: calc(5em + 2.5vw);">
        Options
    </button>
</div>
<div style="position: fixed; bottom: 40px; right: 40px;" class="ui grid">
    <button id="submit-modal-btn" class="ui button inverted green" style="font-size: calc(1em + .25vw); width: calc(5em + 2.5vw);">
        Finalize
    </button>

    <!--<div class="eight wide column ui grid stackable" style="overflow: scroll;">-->
    <!--{{> wow/_class_progress_bar label="Druid" color="orange" }}-->
    <!--{{> wow/_class_progress_bar label="Rogue" color="yellow" }}-->
    <!--{{> wow/_class_progress_bar label="Priest" color="white" }}-->
    <!--{{> wow/_class_progress_bar label="Hunter" color="green" }}-->
    <!--{{> wow/_class_progress_bar label="Mage" color="teal" }}-->
    <!--{{> wow/_class_progress_bar label="Shaman" color="blue" }}-->
    <!--{{> wow/_class_progress_bar label="Warlock" color="purple" }}-->
    <!--{{> wow/_class_progress_bar label="Paladin" color="pink" }}-->
    <!--{{> wow/_class_progress_bar label="Warrior" color="brown" }}-->
    <!--{{> wow/_class_progress_bar label="Other" color="grey" }}-->
    <!--</div>-->

</div>

<div id="submit-modal" class="ui modal form" style="height: fit-content; top: 10%;">
    <div class="header">Submit Build</div>
    <div class="content">
        <div class="field" id="name-field">
            <label>Name (required)</label>
            <input id="name"/>
        </div>
        <div class="ui error message" id="name-error" style="display: none;">
            <div class="header">Too Long</div>
            <p>Max length for Name is 50 characters</p>
        </div>

        <div class="field" id="short-description-field">
            <label>Short Description (required)</label>
            <input id="short-description" />
        </div>
        <div class="ui error message" id="short-description-error" style="display: none;">
            <div class="header">Too Long</div>
            <p>Max length for Short Description is 30 characters</p>
        </div>

        <div class="field">
            <label>Full Description</label>
            <textarea id="description"></textarea>
        </div>

    </div>
    <div class="actions">
        <button id="submit-build" class="ui button inverted green disabled">Submit</button>
    </div>
</div>

<div id="options-modal" class="ui modal form" style="height: fit-content; top: 10%;">
    <div class="header">Options</div>
    <div class="content">
        <div class="field" id="level-field">
            <label>Level</label>
            <input id="level"/>
        </div>
        <div class="ui error message" id="level-error" style="display: none;">
            <div class="header">Invalid Content</div>
            <p>Must be a number between 1-60</p>
        </div>
    </div>
    <div class="actions">
        <button id="submit-options" class="ui button inverted green disabled">Submit</button>
    </div>
</div>

<script>
    // This needs to come before build.js for some reason, otherwise it doesn't load
    $(function() {
        console.log("Before build.js");
        validationOnField("short-description", "submit-build", v => v.length > 30 || v.length < 1);
        validationOnField("name", "submit-build", v => v.length > 50 || v.length < 1);
        validationOnField("level", "submit-options", v => isNaN(v) || parseInt(v) > 60 || parseInt(v) < 1)
    });
</script>
<script src="/javascript/build.js"></script>
